Use this API to list the users assigned to a privilege.
Required Feature
A OneLogin subscription that includes Delegated Administration is required to use the privileges API.
Resource URL
GET https://<subdomain>.onelogin.com/api/1/privileges/:id/usersHeader Parameters
Authorization required string | Set to Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API using the |
Resource Parameter
id required string | Set to the |
Sample Response
- 200 OK
- 401 Unauthorized
- 404 Not Found
A paginated list of users is returned. Each page lists up to 1000 users.
Use the next/previous links to fetch another page.
{
"total": 2,
"users": [12345, 67890],
"beforeCursor": null,
"previousLink": null,
"afterCursor": null,
"nextLink": null
}Typically, this error indicates an invalid access token.
{
"statusCode": 401,
"name": "UnauthorizedError",
"message": "The request requires user authentication."
}The privilege id does not exist.
{
"statusCode": 404,
"name": "NotFoundError",
"message": "The resource can't be found or the server has not found anything matching the Request-URI"
}Sample Code
cURL
curl 'https://<subdomain>.onelogin.com/api/1/privileges/<privilege_id>/users' \
-X GET \
-H "Authorization: Bearer <access_token>"Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.